package com.as.login.controller;

import com.as.common.exception.base.BaseException;
import com.as.common.json.requestJSON;
import com.as.login.service.UserLoginService;
import com.as.user.controller.userContorller;
import com.as.user.dao.UserData;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/***
 * @description: 登录接口
 * @param: null
 * @return:
 * @author: Lyu
 * @date: 2024/3/8 23:19
 */

@RestController
@RequestMapping("/login")

public class UserLoginContorller extends userContorller {
    @Autowired
    private UserLoginService userLoginService;
    private static final Logger logger = LogManager.getLogger(UserLoginContorller.class);

    /***
     * @description: 登录查询用户是否合法
     * @param: data
     * @return: com.as.common.json.requestJSON<java.util.List < com.as.user.dao.UserData>>
     * @author: Lyu
     * @date: 2024/3/8 23:20
     */

    @RequestMapping(value = "/findUser", method = RequestMethod.POST)
    public requestJSON<List<UserData>> findUser(@RequestBody UserData data) {
        logger.info("findUser方法，接收到数据data:" + data.toString());
        requestJSON<List<UserData>> json = new requestJSON<List<UserData>>();
        try {
            json.setCode(200);
            json.setData(userLoginService.login(String.valueOf(data.getUserId()), data.getPwd()));
            json.setMessage("成功");
        } catch (BaseException e) {
            // 捕获并处理登录异常
            System.out.println("Login failed: " + e.getMessage());
            // 可以根据需要进行其他异常处理逻辑
        }
        return json;
    }

}
