package com.as.user.service.impl;

import java.util.List;

import com.as.user.dao.UserData;
import com.as.user.mapper.UserMapper;
import com.as.user.service.UserService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

@Service
public class UserServiceImpl implements UserService {
    private static final Logger logger = LogManager.getLogger(UserServiceImpl.class);

    @Autowired
    private UserMapper userMapper;

    @Override
    public List<UserData> find(UserData userData) {
        logger.info("进入find方法，接收到数据data:" + userData.toString());
        //		 QueryWrapper<UserData> queryWrapper = new QueryWrapper<>();

        //		 queryWrapper.eq("user_name",userData.getUserName());

        LambdaQueryWrapper<UserData> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(userData.getUserName() != null, UserData::getUserName, userData.getUserName());
        queryWrapper.eq(userData.getUserId() != null, UserData::getUserId, userData.getUserId());
        queryWrapper.eq(userData.getUserPhone() != null, UserData::getUserPhone, userData.getUserPhone());
        queryWrapper.eq(userData.getPwd() != null, UserData::getPwd, userData.getPwd());

        List<UserData> userList = userMapper.selectList(queryWrapper);
        return userList;

    }

    @Override
    public Integer add(UserData userData) {
        return userMapper.insert(userData);
    }


}


